Package twisted :: Package internet :: Module interfaces :: Class IFinishableConsumer |
[frames | no frames]

## Class IFinishableConsumer

    Interface --+
                |
        IConsumer --+
                    |
                   IFinishableConsumer

A Consumer for producers that finish.

This interface is semi-stable.

Method Summary
| ``finish`(self)` The producer has finished producing.
Inherited from IConsumer
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer.
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting.
| ``write`(self, data)` The producer will write data by calling this method.

Method Details

### finish(self) The producer has finished producing.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:47 2003 | http://epydoc.sf.net